summaryrefslogtreecommitdiffstats
path: root/source/xfce/xfconf/xfconf.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2023-10-29 19:21:20 +0000
committer Eric Hameleers <alien@slackware.com>2023-10-29 20:58:23 +0100
commit2a8ef75460ec23e5a2cd57dbaec05997952f189e (patch)
tree236b4222f51d8e83c20d525675fb073a1e832e86 /source/xfce/xfconf/xfconf.SlackBuild
parent6057bc3cac36b3ed71cec8fa1c2cef145bed5599 (diff)
downloadcurrent-2a8ef75460ec23e5a2cd57dbaec05997952f189e.tar.gz
current-2a8ef75460ec23e5a2cd57dbaec05997952f189e.tar.xz
Sun Oct 29 19:21:20 UTC 202320231029192120
xfce/xfconf-4.18.2-x86_64-2.txz: Rebuilt. [PATCH] cache: Fix uncached value. Thanks to baldzhang.
Diffstat (limited to 'source/xfce/xfconf/xfconf.SlackBuild')
-rwxr-xr-xsource/xfce/xfconf/xfconf.SlackBuild7
1 files changed, 5 insertions, 2 deletions
diff --git a/source/xfce/xfconf/xfconf.SlackBuild b/source/xfce/xfconf/xfconf.SlackBuild
index ef41991db..6c6db4db2 100755
--- a/source/xfce/xfconf/xfconf.SlackBuild
+++ b/source/xfce/xfconf/xfconf.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2012, 2018, 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2012, 2018, 2020, 2023 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=xfconf
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
MARCH=$( uname -m )
@@ -80,6 +80,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Fix xfwm4 crash:
+cat $CWD/03f7ff961fd46c9141aba624a278e19de0bf3211.patch | patch -p1 --verbose || exit 1
+
# Configure:
CFLAGS="$SLKCFLAGS" \
./configure \